 <p-card>
    <p-fieldset legend="ข้อมูลทั่วไป">
        <div class="grid fluid">
            <div class="col-4">
                <label>เลขที่ส่ง</label>
                <input type="text" [(ngModel)]="refer_no" class="inputfield w-full" pInputText placeholder="">
            </div>
            <div class="col-4">
                <label>วันที่</label>
                <input type="text" [(ngModel)]="reg_date" class="inputfield w-full" pInputText placeholder="">
            </div>
            <div class="col-4">
                <label>เลขที่ IMC</label>
                <input type="text" [(ngModel)]="imc_id" class="inputfield w-full" pInputText placeholder="">
            </div>
        </div>

        <div class="grid fluid">
            <div class="col-4">
                <label>ชื่อ-สกุล ผู้ป่วย</label>
                <input type="text" [(ngModel)]="fullname" class="inputfield w-full" pInputText placeholder="">
            </div>
            <div class="col-4">
                <label>เลข 13 หลัก</label>
                <input type="text" [(ngModel)]="cid" class="inputfield w-full" pInputText placeholder="">
            </div>
            <div class="col-4">
                <label>ผู้รายงาน</label>
                <input type="text" [(ngModel)]="reg_by" class="inputfield w-full" pInputText placeholder="">
            </div>
        </div>
    </p-fieldset>
    <br />

    <p-fieldset legend="การประเมินความสามารถในการดำเนินชีวิตประจำวัน (Barthel ADL index)">
        <div class="grid fluid">
            <div class="col-6">
                <h3>1. Feeding (รับประทานอาหารเมื่อเตรียมสำรับไว้ให้):</h3>
                <div class="field-radiobutton">
                    <input type="radio" name="feeding" [(ngModel)]="feeding" (ngModelChange)="valInput()" tabindex="0" [value]="0">
                    <label>ไม่สามารถตักอาหารเข้าปากได้</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="feeding" [(ngModel)]="feeding" (ngModelChange)="valInput()" tabindex="1" [value]="1">
                    <label>ตักอาหารเองได้แต่ต้องมีคนช่วย</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="feeding" [(ngModel)]="feeding" (ngModelChange)="valInput()" tabindex="2" [value]="2">
                    <label>ตักอาหารและช่วยตัวเองได้เป็นปกติ</label>
                </div>
                <!-- <div class="field-radiobutton">
                        <p-radioButton name="feeding" value="1" inputId="feeding1"></p-radioButton>
                        <label for="feeding1">ไม่สามารถตักอาหารเข้าปากได้</label>
                    </div>
                    <div class="field-radiobutton">
                        <p-radioButton name="feeding" value="2" inputId="feeding2"></p-radioButton>
                        <label for="feeding2">ตักอาหารเองได้แต่ต้องมีคนช่วย</label>
                    </div>
                    <div class="field-radiobutton">
                        <p-radioButton name="feeding" value="3" inputId="feeding3"></p-radioButton>
                        <label for="feeding3">ตักอาหารและช่วยตัวเองได้เป็นปกติ</label>
                    </div> -->
            </div>
            <div class="col-6">
                <h3>2. Grooming (ล้างหน้า หวีผม แปรงฟัน):</h3>
                <div class="field-radiobutton">
                    <input type="radio" name="grooming" [(ngModel)]="grooming" (ngModelChange)="valInput()" tabindex="0" [value]="0">
                    <label>ต้องการความช่วยเหลือ</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="grooming" [(ngModel)]="grooming" (ngModelChange)="valInput()" tabindex="0" [value]="1">
                    <label>ทำได้ด้วยตนเอง</label>
                </div>
                <!-- <div class="field-radiobutton">
                        <p-radioButton name="grooming" value="1" inputId="grooming1"></p-radioButton>
                        <label for="grooming1">ต้องการความช่วยเหลือ</label>
                    </div>
                    <div class="field-radiobutton">
                        <p-radioButton name="grooming" value="2" inputId="grooming2"></p-radioButton>
                        <label for="grooming2">ทำได้ด้วยตนเอง</label>
                    </div> -->
            </div>
            <div class="col-6">
                <h3>3. Transfer (ลุกนั่งจากที่นอน หรือจากเตียงไปยังเก้าอี้):</h3>
                <div class="field-radiobutton">
                    <input type="radio" name="transfer" [(ngModel)]="transfer" (ngModelChange)="valInput()" tabindex="0" [value]="0">
                    <label>ไม่สามารถนั่งได้</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="transfer" [(ngModel)]="transfer" (ngModelChange)="valInput()" tabindex="0" [value]="1">
                    <label>ต้องการความช่วยเหลืออย่างมาก</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="transfer" [(ngModel)]="transfer" (ngModelChange)="valInput()" tabindex="0" [value]="2">
                    <label>ต้องการความช่วยเหลือบ้าง</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="transfer" [(ngModel)]="transfer" (ngModelChange)="valInput()" tabindex="0" [value]="3">
                    <label>ทำได้เอง</label>
                </div>
                <!-- <div class="field-radiobutton">
                        <p-radioButton name="transfer" value="1" inputId="transfer1"></p-radioButton>
                        <label for="transfer1">ไม่สามารถนั่งได้</label>
                    </div>
                    <div class="field-radiobutton">
                        <p-radioButton name="transfer" value="" inputId="transfer2"></p-radioButton>
                        <label for="transfer2">ต้องการความช่วยเหลืออย่างมาก</label>
                    </div>
                    <div class="field-radiobutton">
                        <p-radioButton name="transfer" value="" inputId="transfer3"></p-radioButton>
                        <label for="transfer3">ต้องการความช่วยเหลือบ้าง</label>
                    </div>
                    <div class="field-radiobutton">
                        <p-radioButton name="transfer" value="" inputId="transfer4"></p-radioButton>
                        <label for="transfer4">ทำได้เอง</label>
                    </div> -->
            </div>
            <div class="col-6">
                <h3>4. Toilet use (ใช้ห้องน้ำ):</h3>
                <div class="field-radiobutton">
                    <input type="radio" name="toilet_use" [(ngModel)]="toilet_use" (ngModelChange)="valInput()" tabindex="0" [value]="0">
                    <label>ช่วยตัวเองไม่ได้</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="toilet_use" [(ngModel)]="toilet_use" (ngModelChange)="valInput()" tabindex="0" [value]="1">
                    <label>ทำเองได้บ้าง</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="toilet_use" [(ngModel)]="toilet_use" (ngModelChange)="valInput()" tabindex="0" [value]="2">
                    <label>ช่วยตัวเองได้ดี</label>
                </div>
                <!-- <div class="field-radiobutton">
                        <p-radioButton name="toilet_use" value="1" inputId="toilet_use1"></p-radioButton>
                        <label for="toilet_use1">ไม่สามารถนั่งได้</label>
                    </div>
                    <div class="field-radiobutton">
                        <p-radioButton name="toilet_use" value="" inputId="toilet_use2"></p-radioButton>
                        <label for="toilet_use2">ต้องการความช่วยเหลืออย่างมาก</label>
                    </div>
                    <div class="field-radiobutton">
                        <p-radioButton name="toilet_use" value="" inputId="toilet_use3"></p-radioButton>
                        <label for="toilet_use3">ต้องการความช่วยเหลือบ้าง</label>
                    </div> -->
            </div>

            <div class="col-6">
                <h3>5. Mobility (การเคลื่อนที่ภายในห้องหรือบ้าน):</h3>
                <div class="field-radiobutton">
                    <input type="radio" name="mobility" [(ngModel)]="mobility" (ngModelChange)="valInput()" tabindex="0" [value]="0">
                    <label>เคลื่อนที่ไปไหนไม่ได้</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="mobility" [(ngModel)]="mobility" (ngModelChange)="valInput()" tabindex="0" [value]="1">
                    <label>ต้องใช้รถเข็นช่วยตัวเองให้เคลื่อนที่</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="mobility" [(ngModel)]="mobility" (ngModelChange)="valInput()" tabindex="0" [value]="2">
                    <label>เดินหรือเคลื่อนที่โดยมีคนช่วย</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="mobility" [(ngModel)]="mobility" (ngModelChange)="valInput()" tabindex="0" [value]="3">
                    <label>เดินหรือเคลื่อนที่ได้เอง</label>
                </div>
            </div>
            <div class="col-6">
                <h3>6. Dressing (การสวมใส่เสื้อผ้า):</h3>
                <div class="field-radiobutton">
                    <input type="radio" name="dressing" [(ngModel)]="dressing" (ngModelChange)="valInput()" tabindex="0" [value]="0">
                    <label>ต้องมีคนสวมใส่ให้</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="dressing" [(ngModel)]="dressing" (ngModelChange)="valInput()" tabindex="0" [value]="1">
                    <label>ช่วยตัวเองได้ประมาณร้อยละ 50</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="dressing" [(ngModel)]="dressing" (ngModelChange)="valInput()" tabindex="0" [value]="2">
                    <label>ช่วยตัวเองได้ดี (ติดกระดุมเอง)</label>
                </div>
            </div>
            <div class="col-6">
                <h3>7. Stairs (การขึ้นลงบันได 1 ชั้น):</h3>
                <div class="field-radiobutton">
                    <input type="radio" name="stairs" [(ngModel)]="stairs" (ngModelChange)="valInput()" tabindex="0" [value]="0">
                    <label>ไม่สามารถทำได้</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="stairs" [(ngModel)]="stairs" (ngModelChange)="valInput()" tabindex="0" [value]="1">
                    <label>ต้องการคนช่วย</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="stairs" [(ngModel)]="stairs" (ngModelChange)="valInput()" tabindex="0" [value]="2">
                    <label>ขึ้นลงได้เอง</label>
                </div>
            </div>
            <div class="col-6">
                <h3>8. Bathing (การอาบน้ำ):</h3>
                <div class="field-radiobutton">
                    <input type="radio" name="bathing" [(ngModel)]="bathing" (ngModelChange)="valInput()" tabindex="0" [value]="0">
                    <label>ต้องมีคนช่วยหรือทำให้</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="bathing" [(ngModel)]="bathing" (ngModelChange)="valInput()" tabindex="0" [value]="1">
                    <label>อาบน้ำเองได้</label>
                </div>
            </div>
            <div class="col-6">
                <h3>9. Bowels (การกลั้นการถ่ายอุจจาระ):</h3>
                <div class="field-radiobutton">
                    <input type="radio" name="bowels" [(ngModel)]="bowels" (ngModelChange)="valInput()" tabindex="0" [value]="0">
                    <label>กลั้นไม่ได้ หรือต้องการการสวน</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="bowels" [(ngModel)]="bowels" (ngModelChange)="valInput()" tabindex="0" [value]="1">
                    <label>กลั้นไม่ได้บางครั้ง</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="bowels" [(ngModel)]="bowels" (ngModelChange)="valInput()" tabindex="0" [value]="2">
                    <label>กลั้นได้เป็นปกติ</label>
                </div>
            </div>
            <div class="col-6">
                <h3>10.Bladder (การกลั้นปัสสาวะ):</h3>
                <div class="field-radiobutton">
                    <input type="radio" name="bladder" [(ngModel)]="bladder" (ngModelChange)="valInput()" tabindex="0" [value]="0">
                    <label>กลั้นไม่ได้ หรือต้องการการสวน</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="bladder" [(ngModel)]="bladder" (ngModelChange)="valInput()" tabindex="0" [value]="1">
                    <label>กลั้นไม่ได้บางครั้ง</label>
                </div>
                <div class="field-radiobutton">
                    <input type="radio" name="bladder" [(ngModel)]="bladder" (ngModelChange)="valInput()" tabindex="0" [value]="2">
                    <label>กลั้นได้เป็นปกติ</label>
                </div>
            </div>
            <div class="col-12">
                <div class="grid fluid">
                    <div class="col-4">
                        <label>คะแนนรวม ADL 0 คะแนน</label>
                        <input type="text" class="inputfield w-full" [(ngModel)]="adl_total" id="adl_total" pInputText placeholder="">
                    </div>
                    <div class="col-4">
                        <label>แปลผล</label>
                        <input type="text" class="inputfield w-full" [(ngModel)]="adl_total_text" id="adl_total_text" pInputText placeholder="">
                    </div>
                </div>
            </div>
            <div class="col-12">
                <h3>ภาวะอื่นๆได้แก่ ( เลือกได้มากกว่าหนึ่ง )</h3>
                <div class="field-checkbox">
                    <p-checkbox name="swallow" [(ngModel)]="swallow" [value]="1" inputId="ny">
                    </p-checkbox>
                    <label for="ny">swallow</label>
                </div>
                <div class="field-checkbox">
                    <p-checkbox name="speech" [(ngModel)]="speech" [value]="1" inputId="sf">
                    </p-checkbox>
                    <label for="sf">speech</label>
                </div>
                <div class="field-checkbox">
                    <p-checkbox name="neurogenic_bladder" [(ngModel)]="neurogenic_bladder" [value]="1" inputId="la">
                    </p-checkbox>
                    <label for="la">neurogenic bladder</label>
                </div>
                <div class="field-checkbox">
                    <p-checkbox name="eurogenic_bowel" [(ngModel)]="eurogenic_bowel" [value]="1" inputId="ch">
                    </p-checkbox>
                    <label for="ch">eurogenic bowel</label>
                </div>
                <div class="field-checkbox">
                    <p-checkbox name="neuropathic_pain" [(ngModel)]="neuropathic_pain" [value]="1" inputId="np">
                    </p-checkbox>
                    <label for="np">neuropathic pain</label>
                </div>
                <div class="field-checkbox">
                    <p-checkbox name="cognitive_impairment" [(ngModel)]="cognitive_impairment" [value]="1" inputId="ci">
                    </p-checkbox>
                    <label for="ci">cognitive impairment</label>
                </div>
            </div>
            <div class="col-1">
                <button pButton pRipple type="button" (click)="onSave()" label="บันทึก"></button>
            </div>
            <div class="col-1">
                <button pButton pRipple type="button" label="ยกเลิก" class="p-button-danger"></button>
            </div>
        </div>
    </p-fieldset>
    <br />
</p-card>
